Skip to content

DNS Load Balancer Health Status List.

GET
/api/data/namespaces/{namespace}/dns_load_balancers/health_status
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_load_balancers/health_status \
--header 'Authorization: <Authorization>'

GET Health Status of all DNS Load Balancers in a namespace.

Examples of this operation.

namespace
required
string

Namespace Namespace to scope the listing of DNS LB health status.

A successful response.

Media typeapplication/json
DNSLBHealthStatusListResponse

Response for DNS Load Balancer Health Status List Request.

object
dns_lb_pools_status_summary
DNS Load Balancer Pools Status Summary

Summary of DNS Load Balancer Pools by Health Status.

Array<object>
HealthStatusSummary

Health Status Summary.

object
count
Count

Number of objects.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
status
string
default: HEALTH_STATUS_UNHEALTHY
Allowed values: HEALTH_STATUS_UNHEALTHY HEALTH_STATUS_DEGRADED HEALTH_STATUS_HEALTHY HEALTH_STATUS_DISABLED
dns_load_balancer_status_summary
DNS Load Balancer Status Summary

Summary of DNS Load Balancers by Health Status.

Array<object>
HealthStatusSummary

Health Status Summary.

object
count
Count

Number of objects.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
status
string
default: HEALTH_STATUS_UNHEALTHY
Allowed values: HEALTH_STATUS_UNHEALTHY HEALTH_STATUS_DEGRADED HEALTH_STATUS_HEALTHY HEALTH_STATUS_DISABLED
items
Items

Collection of DNS Load Balancer Health status.

Array<object>
DNSLBHealthStatusListResponseItem

Individual item in a collection of DNS Load Balancer.

object
dns_lb_pools_status_summary
DNS Load Balancer Pools Status Summary

Summary of DNS Load Balancer Pools by Health Status.

Array<object>
HealthStatusSummary

Health Status Summary.

object
count
Count

Number of objects.

Array<object>
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
status
string
default: HEALTH_STATUS_UNHEALTHY
Allowed values: HEALTH_STATUS_UNHEALTHY HEALTH_STATUS_DEGRADED HEALTH_STATUS_HEALTHY HEALTH_STATUS_DISABLED
name
Name

Name of the DNS Load Balancer.

string
>= 6 characters <= 1024 characters
status
Status

Health Status of DNS Load Balancer.

Array<object>
>= 17 characters <= 17 characters
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

Description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

Configuration parameter for previous value

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
Example
{
"dns_lb_pools_status_summary": [
{
"count": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"status": "HEALTH_STATUS_UNHEALTHY"
}
],
"dns_load_balancer_status_summary": [
{
"count": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"status": "HEALTH_STATUS_UNHEALTHY"
}
],
"items": [
{
"dns_lb_pools_status_summary": [
{
"count": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
],
"status": "HEALTH_STATUS_UNHEALTHY"
}
],
"status": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example